version: '3.2'

services:

# The current application uses solr-core 4.7.2
  search:
    build:
      context: .
      dockerfile: docker/search/Dockerfile
    depends_on:
      - data
    volumes:
      - type: volume
        source: index
        target: /index
      - type: volume
        source: data
        target: /data
    env_file:
      - .env
    restart: always
    
  web:
    build:
      context: .
      dockerfile: docker/web/Dockerfile
    depends_on:
      - images
      - data
      - search
    ports:
      - '8008:80'
    env_file:
      - .env
    volumes:
      - type: volume
        source: data
        target: /data
      - type: volume
        source: web-app
        target: /var/www/html
#      - type: bind
#        source: ./docker/web/conf/site.conf
#        target: /etc/nginx/conf.d/default.conf
    entrypoint:
      - /opt/archaeo18/change-host.sh
      - .
      - $DEPLOY_HOST_NAME
      - $ARCHAEO18_SCRIPTS/setup-nginx.sh
      - nginx
      - -g
      - daemon off;

    restart: unless-stopped

  data:
    image: archaeo18-docker_data:latest 
    build:
      context: .
      dockerfile: docker/data/Dockerfile
    env_file:
      - .env
    volumes:
      - type: volume
        source: data
        target: /data

  images:
    build:
      context: .
      dockerfile: docker/images/Dockerfile
    volumes:
      - type: volume
        source: images
        target: /images
    environment:
      JAVA_OPTIONS: "-Xmx2048m -Xms256m"
    env_file:
      - .env
    restart: always

volumes:
  data:
  web-app:
  images:
  index:
   
